<?php
add_action('init', 'confin_video_kc_map', 99 );
function confin_video_kc_map() {
  if (function_exists('kc_add_map')){
      kc_add_map(
        array(
        'regvideo' => array(
          'name' => esc_html__('Video', 'confin-core'),
          'description' => esc_html__( 'Video', 'confin-core' ),
          'category' => ConfinLibrary::confin_kc_cat_name(),
          'title' => esc_html__('Carousel Settings', 'confin-core'),
          'is_container' => true,
          'icon' => 'cpicon kc-icon-play',
          'params' => array(
            esc_html__( 'General', 'confin-core' ) => array(
            array(
                'name' => 'video_style',
                'label' => esc_html__('Video Style', 'confin-core'),
                'type' => 'select',
                'options' => array(
                  'standard' => esc_html__( 'Standard', 'confin-core' ),
                  'classic' => esc_html__( 'Classic', 'confin-core' ),
                ),
              ),
              array(
                  'name' => 'video_image',
                  'type' => 'attach_image',
                  'label' => esc_html__('Video Image', 'confin'),
                  'admin_label' => true,
                ),
                array(
                  'name' => 'video_icon',
                  'type' => 'icon_picker',
                  'label' => esc_html__('Video Icon', 'confin'),
                ),
                array(
                  'name' => 'link',
                  'type' => 'text',
                  'label' => esc_html__('Video Link', 'confin'),
                ),
              array(
                'name' => 'class',
                'label' => esc_html__('Extra Class', 'confin-core'),
                'type' => 'text',
              )
            ),
           esc_html__( 'Style', 'confin-core' ) => array(
            array(
                'name' => 'bg_color',
                'label' => esc_html__('Background Color', 'confin-core'),
                'type' => 'color_picker'
              ),
             array(
                'name' => 'icon_color',
                'label' => esc_html__('Icon Color', 'confin-core'),
                'type' => 'color_picker'
              ),
              array(
                'name' => 'icon_size',
                'label' => esc_html__('Icon Size', 'confin-core'),
                'type' => 'number_slider',
                'options' => array(
                  'min' => 15,
                  'max' => 60,
                  'unit' => 'px',
                  'show_input' => true
                ),
              ),
            array(
              'name' => 'icon_border',
              'label' => esc_html__('Icon Border Color', 'confin-core'),
              'type' => 'color_picker'
            ),
            ),
          ),
        ),
      )
    ); // End add map
  }
} // End if